Bug 178683 - Possible mbox corruption with 0.99.x versions
Possible mbox corruption with 0.99.x versions
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks: 176344 181448 181449
  Show dependency treegraph
 
Reported: 2006-01-23 06:42 EST by Bastien Nocera
Modified: 2007-12-19 23:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 04:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-01-23 06:42:49 EST
Description of problem:
http://wiki.dovecot.org/MboxProblems mentions a possible data corruption that
could add an empty line at the beginning of an mbox, making it unusable.

Version-Release number of selected component (if applicable):
0.99.14-1.EL4

I have scoured the dovecot CVS, and cannot find a particular commit fixing this
problem, only other refactorings which most likely fix this problem.
The easiest fix would be to upgrade to version 1.0 of dovecot.
Comment 1 Petr Rockai 2006-02-01 16:25:49 EST
I see and i am gradually working on getting 1.0 beta 2 into rhel4. First pass 
is getting it into fc5 and then fc4 updates. Depending on the issues we 
encounter, we will see if it is doable for rhel4. 
Comment 6 Pete Graner 2006-05-02 09:13:06 EDT
Moving to RHEL 4.5 Proposed.

This is really a request to rebase to ver 1.0
Comment 7 Marcelo Giles 2006-06-05 15:15:52 EDT
I've found a note in dovecot.org:

http://wiki.dovecot.org/MboxProblems

Empty line at the beginning of mbox
This is an unsolved rarely occurring bug in 0.99.x Dovecot versions. Use 1.0
releases instead.

OK, it rarely occurs, but it happens, and it needs to be fixed. 
Any news on this issue?
Comment 8 brian atkisson 2006-07-13 13:18:08 EDT
This issue tends to bite my users in the form of Trash corruption.  Any hope of
getting 1.0 in RHEL sometime soon?
Comment 9 RHEL Product and Program Management 2006-08-18 12:47:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 RHEL Product and Program Management 2006-08-24 04:20:47 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 12 Kostas Georgiou 2006-08-24 06:22:13 EDT
Does this mean that RedHat will try to fix 0.99.x for the mbox corruption?
Comment 17 Tom Harding 2007-06-18 16:45:26 EDT
Later versions of RHEL have had dovecot updated to 1.0.  Why not EL4?  We are
experiencing multiple problems with our mail system, all of which are fixed by
dovecot 1.0.  Having gone through >30 release candidates it must be much more
stable than the .99 version currently included.
Comment 18 Tom Harding 2007-07-16 14:28:48 EDT
Looking for an answer to comment 12.
Comment 19 Tomas Janousek 2007-07-17 05:36:13 EDT
Tom, the 1.0 version has very different configuration and probably even the
behavior wrt indexes etc. -- there's no way we can rebase to 1.0 at this phase
of RHEL4. (I'm sorry to say this, I know that 0.99 is more or less broken but
it's just not possible)

Note You need to log in before you can comment on or make changes to this bug.